Множественные уязвимости в 4images

Дата публикации:
02.07.2009
Дата изменения:
02.07.2009
Всего просмотров:
4224
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-2131
CVE-2009-2132
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
4images 1.x
Уязвимые версии: 4images версии до 1.7.7

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "user_homepage" в сценарии member.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "l" в сценарии global.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.4homepages.de

Решение: Установите последнюю версию 1.7.7 с сайта производителя.

Ссылки: http://www.4homepages.de/forum/index.php?topic=15186.0
http://milw0rm.com/exploits/8936
http://bbs.wolvez.org/topic/56/

или введите имя

CAPTCHA